/**
* Copyright (c) 2005, Freescale Semiconductor
* Freescale Willy Note
*
* File name : main.c
* Project name: LVD_GB60.mcp
*
* Author : Andres Barrilado
*          Gonzalo Delgado Huitron
* Department : RTAC Americas
*
* Description : This example illustrates the use of the LVD module for 
*               the MC9S08GB60 microcontroller. The Example will turn on
*               a LED when the LVD module has a low-voltage warning, 
*               and another when the module detects low-voltage.This 
*               project was made with the Device Initialization tool 
*               which sets the module, according to the user's needs. 
*               For this example, the LVD module is configured to comply 
*               with the following requirements:
*                       + LVD enabled
*                       + LVD module enabled
*                       + Detect LVD hight trip point  
*                       + Detect LVW hight trip point  
*                       + COP is disabled 
*                       + LEDs are controlled by PTF0 and PTF1 
*
*                            
* (Refer to AN3136 for more information about Device Initialization)
*
* History :   
* 10/08/2005  : Release (rgd04c)
*/
#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */
#include "MCUinit.h"

void main(void) {
  MCU_init();
  EnableInterrupts; /* enable interrupts */
  /* include your code here */


  for(;;) {
    
    PTFD_PTFD0 = !SPMSC2_LVWF;  /* Poll the Low-Voltage warning flag and
                                 * turn on/off PTF1. */
    SPMSC2 |= 0x40; 						/* Acknowledge the Warning and clear 
                                 * the flag */
                                 

  } /* loop forever */
  /* please make sure that you never leave this function */
}
