/**
* Copyright (c) 2005, Freescale Semiconductor
* Freescale Willy Note
*
* File name : main.c
* Project name: ModTim_GQ8.mcp
*
* Author : Laura Delgado
* Department : RTAC Americas
*
* Description :  This example makes use of the Device Initialization 
*                tool for the Modulo Timer module set up. The module is configured
*                to generate a square wave on PTB6 using the modulo timer
*                interrupt.
*                The mcu is set to:
*                    + enable interrupts
*                    + Set PTB 6 as output	 (PTB module)
*                    + Bus clock 256 divider 
*                    + Count to 0xF0
*                    + Enable overflow interrupt and start counter
*                                                                  
* (Refer to AN3136 for more information about Device Initialization)
*  
*   This example was explicitly made for the MC9S08QG8 microcontroller 
*               migrating may need some changes in the code.
* History :   
* 10/08/2005  : Release (r12370c)
*/



#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */
#include "MCUinit.h"

void main(void) {

    MCU_init();

  for(;;) {
  } 

}
